Index: src/defaults.h
===================================================================
--- src/defaults.h	(revision 0007f69c46dd521b154d70b1a575850f3e961b2c)
+++ src/defaults.h	(revision 97e90f9be66660ad9a84d17886156a3b1ba255d3)
@@ -42,9 +42,9 @@
  * \brief Default for "Use native file dialog".
  */
-#ifdef Q_OS_WINCE_WM
+#ifdef Q_WS_WINCE_WM
 	#define DEF_USE_NATIVE_DIALOGS false
 #else
 	#define DEF_USE_NATIVE_DIALOGS true
-#endif // Q_OS_WINCE
+#endif // Q_WS_WINCE_WM
 //! Default for "Save main window state and position"
 #define DEF_SAVEPOS true
@@ -91,9 +91,9 @@
  * \brief Default font size
  */
-#ifdef Q_OS_SYMBIAN
+#ifdef Q_WS_S60
 	#define DEF_FONT_SIZE 8
 #else
 	#define DEF_FONT_SIZE 10
-#endif // Q_OS_SYMBIAN
+#endif // Q_WS_S60
 //! Default text color
 #define DEF_TEXT_COLOR QPalette().color(QPalette::Text)
Index: src/globals.cpp
===================================================================
--- src/globals.cpp	(revision 0007f69c46dd521b154d70b1a575850f3e961b2c)
+++ src/globals.cpp	(revision 97e90f9be66660ad9a84d17886156a3b1ba255d3)
@@ -24,5 +24,5 @@
 #include "globals.h"
 
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 void toggleStyle(QWidget *widget, bool enable)
 {
@@ -33,3 +33,3 @@
 	}
 }
-#endif // Q_OS_WIN32
+#endif // Q_WS_WIN32
Index: src/globals.h
===================================================================
--- src/globals.h	(revision 0007f69c46dd521b154d70b1a575850f3e961b2c)
+++ src/globals.h	(revision 97e90f9be66660ad9a84d17886156a3b1ba255d3)
@@ -42,5 +42,5 @@
 #endif // NOSVG
 
-#if defined(Q_OS_WINCE_WM) || defined(Q_OS_SYMBIAN)
+#if defined(Q_WS_WINCE_WM) || defined(Q_WS_S60) || defined(Q_WS_MAEMO_5) || defined(Q_WS_SIMULATOR)
 	//! This is defined on handheld devices (e.g., Windows Mobile, Symbian).
 	#define HANDHELD
@@ -59,8 +59,8 @@
 // TSPSolver
 #include "tspsolver.h"
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	// Vista/7 Eyecandy
 	#include "qtwin.h"
-#endif // Q_OS_WIN32
+#endif // Q_WS_WIN32
 
 // DEFINES
@@ -122,12 +122,12 @@
 inline bool hasUpdater()
 {
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	return QFile::exists("updater/Update.exe");
-#else // Q_OS_WIN32
+#else // Q_WS_WIN32
 	return false;
-#endif // Q_OS_WIN32
+#endif // Q_WS_WIN32
 }
 
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 /*!
  * \brief Enables or disables a mask for the \a widget.
@@ -138,5 +138,5 @@
  */
 void toggleStyle(QWidget *widget, bool enable);
-#endif // Q_OS_WIN32
+#endif // Q_WS_WIN32
 
 #ifndef DOXYGEN_EXCLUDE
Index: src/main.cpp
===================================================================
--- src/main.cpp	(revision 0007f69c46dd521b154d70b1a575850f3e961b2c)
+++ src/main.cpp	(revision 97e90f9be66660ad9a84d17886156a3b1ba255d3)
@@ -54,5 +54,5 @@
 	qsrand(QDateTime::currentDateTime().toTime_t() ^ QCursor::pos().x() ^ QCursor::pos().y());
 
-#ifdef Q_OS_WINCE_WM
+#ifdef Q_WS_WINCE_WM
 	// Qt "leaves" unpacked .ttf files after running - let's try to delete them.
 QStringList files = QDir(app.applicationDirPath(), "*.ttf").entryList();
Index: src/mainwindow.cpp
===================================================================
--- src/mainwindow.cpp	(revision 0007f69c46dd521b154d70b1a575850f3e961b2c)
+++ src/mainwindow.cpp	(revision 97e90f9be66660ad9a84d17886156a3b1ba255d3)
@@ -24,5 +24,5 @@
 #include "mainwindow.h"
 
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	#include "shobjidl.h"
 #endif
@@ -63,9 +63,9 @@
 #endif // QT_NO_PRINTER
 
-#ifdef Q_OS_WINCE_WM
+#ifdef Q_WS_WINCE_WM
 	currentGeometry = QApplication::desktop()->availableGeometry(0);
 	// We need to react to SIP show/hide and resize the window appropriately
 	connect(QApplication::desktop(), SIGNAL(workAreaResized(int)), SLOT(desktopResized(int)));
-#endif // Q_OS_WINCE_WM
+#endif // Q_WS_WINCE_WM
 	connect(actionFileNew, SIGNAL(triggered()), SLOT(actionFileNewTriggered()));
 	connect(actionFileOpen, SIGNAL(triggered()), SLOT(actionFileOpenTriggered()));
@@ -372,4 +372,5 @@
 void MainWindow::groupSettingsLanguageListTriggered(QAction *action)
 {
+#ifndef Q_WS_MAEMO_5
 	if (actionSettingsLanguageAutodetect->isChecked()) {
 		// We have language autodetection. It needs to be disabled to change language.
@@ -379,4 +380,5 @@
 			return;
 	}
+#endif
 bool untitled = (fileName == tr("Untitled") + ".tspt");
 	if (loadLanguage(action->data().toString())) {
@@ -386,5 +388,5 @@
 		if (untitled)
 			setFileName();
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 		if (QtWin::isCompositionEnabled() && settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool())  {
 			toggleStyle(labelVariant, true);
@@ -565,7 +567,7 @@
 	hb2->addWidget(bb);
 
-#ifdef Q_OS_WINCE_WM
+#ifdef Q_WS_WINCE_WM
 	vb->setMargin(3);
-#endif // Q_OS_WINCE_WM
+#endif // Q_WS_WINCE_WM
 	vb->addLayout(hb1);
 #ifdef HANDHELD
@@ -600,10 +602,10 @@
 	connect(bb, SIGNAL(accepted()), dlg, SLOT(accept()));
 
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	// Adding some eyecandy in Vista and 7 :-)
 	if (QtWin::isCompositionEnabled())  {
 		QtWin::enableBlurBehindWindow(dlg, true);
 	}
-#endif // Q_OS_WIN32
+#endif // Q_WS_WIN32
 
 	dlg->resize(450, 350);
@@ -662,5 +664,5 @@
 	pd.show();
 
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 HRESULT hr = CoCreateInstance(CLSID_TaskbarList, NULL, CLSCTX_INPROC_SERVER, IID_ITaskbarList3, (LPVOID*)&tl);
 	if (SUCCEEDED(hr)) {
@@ -680,10 +682,10 @@
 	connect(&solver, SIGNAL(routePartFound(int)), &pd, SLOT(setValue(int)));
 	connect(&pd, SIGNAL(canceled()), &solver, SLOT(cancel()));
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	if (tl != NULL)
 		connect(&solver, SIGNAL(routePartFound(int)), SLOT(solverRoutePartFound(int)));
 #endif
 SStep *root = solver.solve(n, matrix);
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	if (tl != NULL)
 		disconnect(&solver, SIGNAL(routePartFound(int)), this, SLOT(solverRoutePartFound(int)));
@@ -694,5 +696,5 @@
 		pd.reset();
 		if (!solver.wasCanceled()) {
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 			if (tl != NULL) {
 //				tl->SetProgressValue(winId(), n, n * 2);
@@ -707,5 +709,5 @@
 		pd.setCancelButton(NULL);
 		pd.show();
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 		if (tl != NULL)
 			tl->SetProgressState(winId(), TBPF_INDETERMINATE);
@@ -722,5 +724,5 @@
 #endif
 		pd.reset();
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 		if (tl != NULL) {
 			tl->SetProgressState(winId(), TBPF_NOPROGRESS);
@@ -736,5 +738,5 @@
 	pd.setValue(0);
 
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	if (tl != NULL)
 		tl->SetProgressValue(winId(), spinCities->value(), spinCities->value() + solver.getTotalSteps() + 1);
@@ -794,5 +796,5 @@
 			pd.show();
 			QApplication::processEvents(QEventLoop::ExcludeUserInputEvents);
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 			if (tl != NULL)
 				tl->SetProgressState(winId(), TBPF_INDETERMINATE);
@@ -808,5 +810,5 @@
 			solutionText->clear();
 			toggleSolutionActions(false);
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 			if (tl != NULL) {
 				tl->SetProgressState(winId(), TBPF_NOPROGRESS);
@@ -818,5 +820,5 @@
 		}
 		pd.setValue(n);
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 		if (tl != NULL)
 			tl->SetProgressValue(winId(), spinCities->value() + n, spinCities->value() + solver.getTotalSteps() + 1);
@@ -864,5 +866,5 @@
 	pb->setFormat(tr("Generating footer"));
 	pd.setValue(n);
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	if (tl != NULL)
 		tl->SetProgressValue(winId(), spinCities->value() + n, spinCities->value() + solver.getTotalSteps() + 1);
@@ -926,5 +928,5 @@
 	pd.setCancelButton(NULL);
 	QApplication::processEvents(QEventLoop::ExcludeUserInputEvents);
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	if (tl != NULL)
 		tl->SetProgressState(winId(), TBPF_INDETERMINATE);
@@ -940,5 +942,5 @@
 	toggleSolutionActions();
 	tabWidget->setCurrentIndex(1);
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	if (tl != NULL) {
 		tl->SetProgressState(winId(), TBPF_NOPROGRESS);
@@ -968,5 +970,5 @@
 }
 
-#ifdef Q_OS_WINCE_WM
+#ifdef Q_WS_WINCE_WM
 void MainWindow::changeEvent(QEvent *ev)
 {
@@ -1001,5 +1003,5 @@
 	}
 }
-#endif // Q_OS_WINCE_WM
+#endif // Q_WS_WINCE_WM
 
 void MainWindow::numCitiesChanged(int nCities)
@@ -1017,14 +1019,14 @@
 #endif // QT_NO_PRINTER
 
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 void MainWindow::solverRoutePartFound(int n)
 {
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	tl->SetProgressValue(winId(), n, spinCities->value() * 2);
 #else
 	Q_UNUSED(n);
-#endif // Q_OS_WIN32
-}
-#endif // Q_OS_WIN32
+#endif // Q_WS_WIN32
+}
+#endif // Q_WS_WIN32
 
 void MainWindow::spinCitiesValueChanged(int n)
@@ -1043,5 +1045,5 @@
 void MainWindow::check4Updates(bool silent)
 {
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	if (silent)
 		QProcess::startDetached("updater/Update.exe -name=\"TSPSG: TSP Solver and Generator\" -check=\"freeupdate\" -silentcheck");
@@ -1260,5 +1262,5 @@
 QString lng = lang;
 	if (lng.isEmpty()) {
-		ad = settings->value("Language", "").toString().isEmpty();
+		ad = settings->value("Language").toString().isEmpty();
 		lng = settings->value("Language", QLocale::system().name()).toString();
 	}
@@ -1334,6 +1336,9 @@
 		a->setCheckable(true);
 		a->setActionGroup(groupSettingsStyleList);
-		if ((style == settings->value("Style").toString())
-			|| QString(QApplication::style()->metaObject()->className()).contains(QRegExp(QString("^Q?%1(Style)?$").arg(QRegExp::escape(style)), Qt::CaseInsensitive))) {
+		if ((style == settings->value("Stlye").toString())
+#ifndef Q_WS_MAEMO_5
+			|| QString(QApplication::style()->metaObject()->className()).contains(QRegExp(QString("^Q?%1(Style)?$").arg(QRegExp::escape(style)), Qt::CaseInsensitive))
+#endif
+		) {
 			a->setChecked(true);
 		}
@@ -1543,5 +1548,5 @@
 #endif // HANDHELD
 
-#ifdef Q_OS_WINCE_WM
+#ifdef Q_WS_WINCE_WM
 	menuBar()->setDefaultAction(menuFile->menuAction());
 
@@ -1554,8 +1559,8 @@
 #else
 	setCentralWidget(tabWidget);
-#endif // Q_OS_WINCE_WM
+#endif // Q_WS_WINCE_WM
 
 	//! \hack HACK: A little hack for toolbar icons to have a sane size.
-#ifdef HANDHELD
+#if defined(HANDHELD) && !defined(Q_WS_MAEMO_5)
 	toolBarMain->setIconSize(QSize(logicalDpiX() / 4, logicalDpiY() / 4));
 #endif // HANDHELD
@@ -1588,4 +1593,7 @@
 
 	groupSettingsLanguageList = new QActionGroup(this);
+#ifdef Q_WS_MAEMO_5
+	groupSettingsLanguageList->addAction(actionSettingsLanguageAutodetect);
+#endif
 	actionSettingsLanguageEnglish->setData("en");
 	actionSettingsLanguageEnglish->setActionGroup(groupSettingsLanguageList);
@@ -1595,4 +1603,7 @@
 	actionSettingsStyleSystem->setData(true);
 	groupSettingsStyleList = new QActionGroup(this);
+#ifdef Q_WS_MAEMO_5
+	groupSettingsStyleList->addAction(actionSettingsStyleSystem);
+#endif
 
 #ifndef HANDHELD
@@ -1630,10 +1641,10 @@
 	retranslateUi(false);
 
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	// Adding some eyecandy in Vista and 7 :-)
 	if (QtWin::isCompositionEnabled() && settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool())  {
 		toggleTranclucency(true);
 	}
-#endif // Q_OS_WIN32
+#endif // Q_WS_WIN32
 }
 
@@ -1651,5 +1662,5 @@
 void MainWindow::toggleTranclucency(bool enable)
 {
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	toggleStyle(labelVariant, enable);
 	toggleStyle(labelCities, enable);
@@ -1659,4 +1670,4 @@
 #else
 	Q_UNUSED(enable);
-#endif // Q_OS_WIN32
-}
+#endif // Q_WS_WIN32
+}
Index: src/mainwindow.h
===================================================================
--- src/mainwindow.h	(revision 0007f69c46dd521b154d70b1a575850f3e961b2c)
+++ src/mainwindow.h	(revision 97e90f9be66660ad9a84d17886156a3b1ba255d3)
@@ -36,5 +36,5 @@
 #include "tspmodel.h"
 
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	// Forward declaration. A real one is in shobjidl.h
 	struct ITaskbarList3;
@@ -83,15 +83,15 @@
 	void dataChanged();
 	void dataChanged(const QModelIndex &tl, const QModelIndex &br);
-#ifdef Q_OS_WINCE_WM
+#ifdef Q_WS_WINCE_WM
 	void changeEvent(QEvent *ev);
 	void desktopResized(int screen);
-#endif // Q_OS_WINCE_WM
+#endif // Q_WS_WINCE_WM
 	void numCitiesChanged(int nCities);
 #ifndef QT_NO_PRINTER
 	void printPreview(QPrinter *printer);
 #endif // QT_NO_PRINTER
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	void solverRoutePartFound(int n);
-#endif // Q_OS_WIN32
+#endif // Q_WS_WIN32
 	void spinCitiesValueChanged(int nCities);
 
@@ -112,11 +112,11 @@
 	QSettings *settings;
 	CTSPModel *tspmodel;
-#ifdef Q_OS_WINCE_WM
+#ifdef Q_WS_WINCE_WM
 	QRect currentGeometry;
-#endif // Q_OS_WINCE_WM
+#endif // Q_WS_WINCE_WM
 
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	ITaskbarList3 *tl;
-#endif // Q_OS_WIN32
+#endif // Q_WS_WIN32
 
 	// The solution graph SVG
Index: src/os.h
===================================================================
--- src/os.h	(revision 0007f69c46dd521b154d70b1a575850f3e961b2c)
+++ src/os.h	(revision 97e90f9be66660ad9a84d17886156a3b1ba255d3)
@@ -39,17 +39,17 @@
  */
 #if defined(__amd64__) || defined(_M_X64)
-	#define ARCH " (AMD 64-bit)"
+#	define ARCH " (AMD 64-bit)"
 #elif defined(__ia64__) || defined(_M_IA64)
-	#define ARCH " (Intel 64-bit)"
+#	define ARCH " (Intel 64-bit)"
 #elif defined(__i386__) || defined(_M_IX86) || defined(_X86_)
-	#define ARCH " (Intel x86)"
+#	define ARCH " (Intel x86)"
 #elif defined(__powerpc__) || defined(_M_PPC)
-	#define ARCH " (PowerPC)"
+#	define ARCH " (PowerPC)"
 #elif defined(__arm__) || defined(_M_ARM)
-	#define ARCH " (ARM)"
+#	define ARCH " (ARM)"
 #elif defined(__mips__) || defined(_M_MRX000)
-	#define ARCH " (MIPS)"
+#	define ARCH " (MIPS)"
 #else
-	#define ARCH ""
+#	define ARCH ""
 #endif // ARCH
 
@@ -66,96 +66,90 @@
  */
 #ifdef Q_OS_AIX
-	#define OS "AIX"
-	#define OSID quint8(1)
-#elif defined Q_OS_BSD4
-	#define OS "BSD 4.4"
-	#define OSID quint8(2)
-#elif defined Q_OS_BSDI
-	#define OS "BSD/OS"
-	#define OSID quint8(3)
-#elif defined Q_OS_CYGWIN
-	#define OS "Cygwin"
-	#define OSID quint8(4)
-#elif defined Q_OS_DGUX
-	#define OS "DG/UX"
-	#define OSID quint8(5)
-#elif defined Q_OS_DYNIX
-	#define OS "DYNIX/ptx"
-	#define OSID quint8(6)
-#elif defined Q_OS_FREEBSD
-	#define OS "FreeBSD"
-	#define OSID quint8(7)
-#elif defined Q_OS_HPUX
-	#define OS "HP-UX"
-	#define OSID quint8(8)
-#elif defined Q_OS_HURD
-	#define OS "GNU Hurd"
-	#define OSID quint8(9)
-#elif defined Q_OS_IRIX
-	#define OS "SGI Irix"
-	#define OSID quint8(10)
-#elif defined Q_OS_LINUX
-	#define OS "Linux"
-	#define OSID quint8(11)
-#elif defined Q_OS_LYNX
-	#define OS "LynxOS"
-	#define OSID quint8(12)
-#elif defined Q_OS_MAC
-	#define OS "Mac OS (Darwin)"
-	#define OSID quint8(13)
-#elif defined Q_OS_MSDOS
-	#define OS "MS-DOS"
-	#define OSID quint8(14)
-#elif defined Q_OS_NETBSD
-	#define OS "NetBSD"
-	#define OSID quint8(15)
-#elif defined Q_OS_OS2
-	#define OS "OS/2"
-	#define OSID quint8(16)
-#elif defined Q_OS_OPENBSD
-	#define OS "OpenBSD"
-	#define OSID quint8(17)
-#elif defined Q_OS_OS2EMX
-	#define OS "OS/2"
-	#define OSID quint8(18)
-#elif defined Q_OS_OSF
-	#define OS "HP Tru64 UNIX"
-	#define OSID quint8(19)
-#elif defined Q_OS_QNX
-	#define OS "QNX Neutrino"
-	#define OSID quint8(20)
-#elif defined Q_OS_RELIANT
-	#define OS "Reliant UNIX"
-	#define OSID quint8(21)
-#elif defined Q_OS_SCO
-	#define OS "SCO OpenServer 5"
-	#define OSID quint8(22)
-#elif defined Q_OS_SOLARIS
-	#define OS "Sun Solaris"
-	#define OSID quint8(23)
-#elif defined Q_OS_SYMBIAN
-	#define OS "Symbian"
-	#define OSID quint8(24)
-#elif defined Q_OS_ULTRIX
-	#define OS "DEC Ultrix"
-	#define OSID quint8(25)
-#elif defined Q_OS_UNIX
-	#define OS "UNIX BSD/SYSV"
-	#define OSID quint8(26)
-#elif defined Q_OS_UNIXWARE
-	#define OS "UnixWare 7/Open UNIX 8"
-	#define OSID quint8(27)
-#elif defined Q_OS_WIN32
-	#define OS "Windows"
-	#define OSID quint8(28)
-#elif defined Q_OS_WINCE_WM
-	#define OS "Windows Mobile"
-	#define OSID quint8(29)
-#elif defined Q_OS_WINCE
-	#define OS "Windows CE"
-	#define OSID quint8(30)
+#	define OS "AIX"
+#	define OSID quint8(1)
+#elif defined(Q_OS_BSDI)
+#	define OS "BSD/OS"
+#	define OSID quint8(2)
+#elif defined(Q_OS_CYGWIN)
+#	define OS "Cygwin"
+#	define OSID quint8(3)
+#elif defined(Q_OS_DARWIN)
+#	define OS "Mac OS (Darwin)"
+#	define OSID quint8(4)
+#elif defined(Q_OS_DGUX)
+#	define OS "DG/UX"
+#	define OSID quint8(5)
+#elif defined(Q_OS_DYNIX)
+#	define OS "DYNIX/ptx"
+#	define OSID quint8(6)
+#elif defined(Q_OS_FREEBSD)
+#	define OS "FreeBSD"
+#	define OSID quint8(7)
+#elif defined(Q_OS_HPUX)
+#	define OS "HP-UX"
+#	define OSID quint8(8)
+#elif defined(Q_OS_HURD)
+#	define OS "GNU Hurd"
+#	define OSID quint8(9)
+#elif defined(Q_OS_IRIX)
+#	define OS "SGI Irix"
+#	define OSID quint8(10)
+#elif defined(Q_OS_LINUX)
+#	define OS "Linux"
+#	define OSID quint8(11)
+#elif defined(Q_OS_LYNX)
+#	define OS "LynxOS"
+#	define OSID quint8(12)
+#elif defined(Q_OS_NETBSD)
+#	define OS "NetBSD"
+#	define OSID quint8(13)
+#elif defined(Q_OS_OPENBSD)
+#	define OS "OpenBSD"
+#	define OSID quint8(14)
+#elif defined(Q_OS_OS2EMX)
+#	define OS "OS/2"
+#	define OSID quint8(15)
+#elif defined(Q_OS_OSF)
+#	define OS "HP Tru64 UNIX"
+#	define OSID quint8(16)
+#elif defined(Q_OS_QNX)
+#	define OS "QNX Neutrino"
+#	define OSID quint8(17)
+#elif defined(Q_OS_RELIANT)
+#	define OS "Reliant UNIX"
+#	define OSID quint8(18)
+#elif defined(Q_OS_SCO)
+#	define OS "SCO OpenServer 5"
+#	define OSID quint8(19)
+#elif defined(Q_OS_SOLARIS)
+#	define OS "Sun Solaris"
+#	define OSID quint8(20)
+#elif defined(Q_OS_SYMBIAN)
+#	define OS "Symbian"
+#	define OSID quint8(21)
+#elif defined(Q_OS_ULTRIX)
+#	define OS "DEC Ultrix"
+#	define OSID quint8(22)
+#elif defined(Q_OS_UNIXWARE)
+#	define OS "UnixWare 7/Open UNIX 8"
+#	define OSID quint8(23)
+#elif defined(Q_OS_WIN32)
+#	define OS "Windows"
+#	define OSID quint8(24)
+#elif defined(Q_OS_WINCE_WM)
+#	define OS "Windows Mobile"
+#	define OSID quint8(25)
+#elif defined(Q_OS_WINCE)
+#	define OS "Windows CE"
+#	define OSID quint8(26)
+#elif defined(Q_OS_BSD4)
+#	define OS "BSD 4.4"
+#	define OSID quint8(253)
+#elif defined(Q_OS_UNIX)
+#	define OS "UNIX BSD/SYSV"
+#	define OSID quint8(254)
 #else
-	#define OS "Unknown"
-	#define OSID quint8(255)
+#	define OS "Unknown"
+#	define OSID quint8(255)
 #endif // OS
 
@@ -167,18 +161,20 @@
  * \brief The compiler TSPSG was built with.
  */
-#ifdef Q_CC_MSVC
-	#define COMPILER "Microsoft Visual C/C++ or Intel C++ for Windows"
+#ifdef Q_CC_INTEL
+#	define COMPILER "Intel C++"
+#elif defined(Q_CC_MSVC)
+#	define COMPILER "Microsoft Visual C/C++"
+#elif defined(Q_CC_MINGW)
+#	define COMPILER "MinGW GCC"
 #elif defined(Q_CC_GNU)
-	#define COMPILER "GNU C++"
-#elif defined(Q_CC_INTEL)
-	#define COMPILER "Intel C++ for Linux or Intel C++ for Windows"
+#	define COMPILER "GNU C++"
 #elif defined(Q_CC_GCCE)
-	#define COMPILER "GCCE (Symbian GCCE builds)"
+#	define COMPILER "GCCE (Symbian GCCE builds)"
 #elif defined(Q_CC_RVCT)
-	#define COMPILER "ARM Realview Compiler Suite"
+#	define COMPILER "ARM Realview Compiler Suite"
 #elif defined(Q_CC_NOKIAX86)
-	#define COMPILER "Nokia x86 (Symbian WINSCW builds)"
+#	define COMPILER "Nokia x86 (Symbian WINSCW builds)"
 #else
-	#define COMPILER "Unknown"
+#	define COMPILER "Unknown"
 #endif
 
Index: src/settingsdialog.cpp
===================================================================
--- src/settingsdialog.cpp	(revision 0007f69c46dd521b154d70b1a575850f3e961b2c)
+++ src/settingsdialog.cpp	(revision 97e90f9be66660ad9a84d17886156a3b1ba255d3)
@@ -109,5 +109,5 @@
 QVBoxLayout *vbox1; // Layout helper
 
-#ifdef Q_OS_WINCE_WM
+#ifdef Q_WS_WINCE_WM
 	// On screens with small height when SIP is shown and the window is resized
 	// there is not enought space for all elements.
@@ -120,5 +120,5 @@
 #else
 	buttons->insertStretch(buttons->indexOf(buttonHelp) + 1);
-#endif // Q_OS_WINCE_WM
+#endif // Q_WS_WINCE_WM
 
 	bgWhite->layout()->setMargin(0);
@@ -128,9 +128,9 @@
 	vbox1->setMargin(0);
 	vbox1->setSpacing(0);
-#ifdef Q_OS_WINCE_WM
+#ifdef Q_WS_WINCE_WM
 	vbox1->addWidget(scrollArea);
 #else
 	vbox1->addWidget(bgWhite);
-#endif // Q_OS_WINCE_WM
+#endif // Q_WS_WINCE_WM
 	vbox1->addWidget(bgGrey);
 	setLayout(vbox1);
@@ -138,5 +138,5 @@
 QVBoxLayout *vbox; // Layout helper
 
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	if (QtWin::isCompositionEnabled()) {
 		cbUseTranslucency = new QCheckBox(bgWhite);
@@ -148,5 +148,5 @@
 		cbUseTranslucency->setCursor(QCursor(Qt::PointingHandCursor));
 	}
-#endif // Q_OS_WIN32
+#endif // Q_WS_WIN32
 
 	cbSaveState = new QCheckBox(bgWhite);
@@ -194,8 +194,8 @@
 	box = static_cast<QBoxLayout *>(tabGeneral->layout());
 	box->insertWidget(box->indexOf(cbUseNativeDialogs) + 1, cbSaveState);
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	if (QtWin::isCompositionEnabled())
 		box->insertWidget(box->indexOf(cbUseNativeDialogs) + 1, cbUseTranslucency);
-#endif // Q_OS_WIN32
+#endif // Q_WS_WIN32
 
 	// Inserting label for hints to the bottom part (with grey bg)
@@ -211,8 +211,8 @@
 #endif // HANDHELD
 
-#ifdef Q_OS_WINCE_WM
+#ifdef Q_WS_WINCE_WM
 	// We need to react to SIP show/hide and resize the window appropriately
 	connect(QApplication::desktop(), SIGNAL(workAreaResized(int)), SLOT(desktopResized(int)));
-#endif // Q_OS_WINCE_WM
+#endif // Q_WS_WINCE_WM
 	connect(spinRandMin, SIGNAL(valueChanged(int)), SLOT(spinRandMinValueChanged(int)));
 	connect(buttonFont, SIGNAL(clicked()), SLOT(buttonFontClicked()));
@@ -230,8 +230,8 @@
 	cbSaveLastUsed->setChecked(settings->value("SaveLastUsed", DEF_SAVE_LAST_USED).toBool());
 	cbUseNativeDialogs->setChecked(settings->value("UseNativeDialogs", DEF_USE_NATIVE_DIALOGS).toBool());
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	if (QtWin::isCompositionEnabled())
 		cbUseTranslucency->setChecked(settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool());
-#endif // Q_OS_WIN32
+#endif // Q_WS_WIN32
 #ifndef HANDHELD
 	cbSaveState->setChecked(settings->value("SavePos", DEF_SAVEPOS).toBool());
@@ -298,5 +298,5 @@
 #else
 	adjustSize();
-#endif // Q_OS_WINCE_WM
+#endif // Q_WS_WINCE_WM
 }
 
@@ -349,5 +349,5 @@
 	settings->setValue("SaveLastUsed", cbSaveLastUsed->isChecked());
 	settings->setValue("UseNativeDialogs", cbUseNativeDialogs->isChecked());
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	if (QtWin::isCompositionEnabled()) {
 bool old = settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool();
@@ -358,5 +358,5 @@
 		settings->setValue("UseTranslucency", cbUseTranslucency->isChecked());
 	}
-#endif // Q_OS_WIN32
+#endif // Q_WS_WIN32
 #ifndef HANDHELD
 	settings->setValue("SavePos", cbSaveState->isChecked());
@@ -421,5 +421,5 @@
 }
 
-#ifdef Q_OS_WINCE_WM
+#ifdef Q_WS_WINCE_WM
 void SettingsDialog::desktopResized(int screen)
 {
@@ -453,5 +453,5 @@
 	QWidget::showEvent(ev);
 }
-#endif // Q_OS_WINCE_WM
+#endif // Q_WS_WINCE_WM
 
 void SettingsDialog::spinRandMinValueChanged(int val) {
Index: src/settingsdialog.h
===================================================================
--- src/settingsdialog.h	(revision 0007f69c46dd521b154d70b1a575850f3e961b2c)
+++ src/settingsdialog.h	(revision 97e90f9be66660ad9a84d17886156a3b1ba255d3)
@@ -56,7 +56,7 @@
 	QSettings *settings;
 	QHBoxLayout *layoutCitiesLimit;
-#ifdef Q_OS_WIN32
+#ifdef Q_WS_WIN32
 	QCheckBox *cbUseTranslucency;
-#endif // Q_OS_WIN32
+#endif // Q_WS_WIN32
 	QCheckBox *cbCheck4Updates;
 	QSpinBox *spinUpdateCheckInterval;
@@ -64,5 +64,5 @@
 	QCheckBox *cbHQGraph;
 #endif
-#ifdef Q_OS_WINCE_WM
+#ifdef Q_WS_WINCE_WM
 	QRect currentGeometry;
 #elif !defined(HANDHELD)
@@ -73,5 +73,5 @@
 
 	bool event(QEvent *ev);
-#endif // Q_OS_WINCE_WM
+#endif // Q_WS_WINCE_WM
 
 private slots:
@@ -79,8 +79,8 @@
 	void buttonColorClicked();
 	void buttonFontClicked();
-#ifdef Q_OS_WINCE_WM
+#ifdef Q_WS_WINCE_WM
 	void desktopResized(int screen);
 	void showEvent(QShowEvent *ev);
-#endif // Q_OS_WINCE_WM
+#endif // Q_WS_WINCE_WM
 	void spinRandMinValueChanged(int val);
 };